# $Revision: 1.9 $, $Date: 2010/08/21 19:09:09 $
%include	/usr/lib/rpm/macros.php
%define		_status		beta
%define		_pearname	Gtk2_ScrollingLabel
Summary:	%{_pearname} - a scrolling label for PHP-Gtk2
Summary(pl.UTF-8):	%{_pearname} - przewijająca się etykieta (scrolling label) dla PHP-Gtk2
Name:		php-pear-%{_pearname}
Version:	0.4.1
Release:	4
License:	LGPL Version 2.1
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	928f6445b8b096aa2993d5bce0af806a
URL:		http://pear.php.net/package/Gtk2_ScrollingLabel/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-gtk2
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A scrolling Gtk label for PHP-Gtk2. This class provides a simple, easy
to understand API for setting up and controlling the label. It allows
for the ability to scroll in either direction, start and stop the
scroll, pause and unpause the scroll, get and set the text, and set
display properites of the text.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Przewijająca się etykieta (scrolling label) dla Gtk2. Ta klasa
dostarcza prostego, łatwego do zrozumienia API do ustawiania i
kontrolowania takiej etykiety. Pozwala na ustawienie przewijania w
dowolnym kierunku, uruchamiania lub zatrzymywania przewijania,
ustawienie i pobieranie tekstu oraz jego właściwości.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/%{_pearname}/example.php
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Gtk2/ScrollingLabel.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Gtk2_ScrollingLabel.spec,v $
Revision 1.9  2010/08/21 19:09:09  glen
- updated deps with pearize.sh
- release 4

Revision 1.8  2008/01/31 12:16:48  glen
- rel 3

Revision 1.7  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.5  2006/11/26 13:34:45  glen
- rel 2: use php(extension) virtuals

Revision 1.4  2006/09/04 09:21:40  adamg
- Requires: php-gtk2

Revision 1.3  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.2  2006/04/27 20:14:51  qboosh
- pl

Revision 1.1  2006/04/24 15:29:39  adamg
- new
